#ifndef CCTRLGRAPH_WORKTABLE_Z_H
#define CCTRLGRAPH_WORKTABLE_Z_H

#include "cctrlgraph_worktable.h"
#include <QPixmap>
class CCtrlGraph_WorkTable_Z : public CCtrlGraph_WorkTable
{
	Q_OBJECT
public:
	explicit CCtrlGraph_WorkTable_Z(QWidget *parent = 0);

    void MInit();
    void refreshPixmap(bool bupdate=true);
    void DrawCellThick(QPainter& painter);
    void DrawFilm(QPainter& painter);
    void DrawLayer(QPainter& painter);
    void DrawMsg(QPainter& painter);
    void DrawChannel(int32_t iChid, int32_t chshape, QString &chname, enum Qt::GlobalColor ecolor, QPainter& painter);

    void mousePressEvent(QMouseEvent *pEvent);
    void MTimeFresh();
signals:

public slots:
};


#endif // CCTRLGRAPH_WORKTABLE_Z_H
